Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore.updater
Class CardinalityRestrictionUpdater

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.framestore.updater.AbstractRestrictionUpdater
          edu.stanford.smi.protegex.owl.model.framestore.updater.CardinalityRestrictionUpdater

All Implemented Interfaces:
  RestrictionUpdater

    public class CardinalityRestrictionUpdater

extends AbstractRestrictionUpdater

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.model.framestore.updater.AbstractRestrictionUpdater
`owlModel`

Constructor Summary
`CardinalityRestrictionUpdater(OWLModel owlModel)`

Method Summary
`void` | `copyFacetValuesIntoNamedClass(RDFSNamedClass cls, OWLRestriction restriction)`
`protected void` | `updateMaximumCardinalityFacet(RDFSNamedClass cls, edu.stanford.smi.protege.model.Slot slot)`
`protected void` | `updateMinimumCardinalityFacet(RDFSNamedClass cls, edu.stanford.smi.protege.model.Slot slot)`
`void` | `updateRestrictions(OWLNamedClass cls, RDFProperty property, edu.stanford.smi.protege.model.Facet facet)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.framestore.updater.AbstractRestrictionUpdater
`getDirectRestriction, getDirectRestrictions, removeRestrictions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardinalityRestrictionUpdater

    public CardinalityRestrictionUpdater(OWLModel owlModel)

Method Detail

### updateMaximumCardinalityFacet

    protected void updateMaximumCardinalityFacet(RDFSNamedClass cls,
                                                 edu.stanford.smi.protege.model.Slot slot)

### updateMinimumCardinalityFacet

    protected void updateMinimumCardinalityFacet(RDFSNamedClass cls,
                                                 edu.stanford.smi.protege.model.Slot slot)

### copyFacetValuesIntoNamedClass

    public void copyFacetValuesIntoNamedClass(RDFSNamedClass cls,
                                              OWLRestriction restriction)

### updateRestrictions

    public void updateRestrictions(OWLNamedClass cls,
                                   RDFProperty property,
                                   edu.stanford.smi.protege.model.Facet facet)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.